# HomeButton

#### new Cesium.HomeButton(container, scene, duration)
Widgets/HomeButton/HomeButton.js 18

A single button widget for returning to the default camera view of the current scene.

Name | Type | Description
--- | --- | ---
`container` | Element | String | The DOM element or ID that will contain the widget.
`scene` | Scene | The Scene instance to use.
`duration` | Number | optional The time, in seconds, it takes to complete the camera flight home.

### Members

#### container : Element
Widgets/HomeButton/HomeButton.js 56

Gets the parent container.

#### viewModel : HomeButtonViewModel
Widgets/HomeButton/HomeButton.js 68

Gets the view model.

### Methods

#### destroy()
Widgets/HomeButton/HomeButton.js 86

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/HomeButton/HomeButton.js 78

##### Returns:

true if the object has been destroyed, false otherwise.